package top.octopusyan.http.annotation;

import java.lang.annotation.*;

/**
 * @author : octopus yan
 * @email : octopus_yan@foxmail.com
 * @description : 重命名注解
 * @create : 2022-4-1 22:27
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface HttpRename {

   /**
    * 默认以字段的名称作为参数名，使用此注解可修改
    */
   String value();
}
