package top.octopusyan.http.config;

/**
 * @author : octopus yan
 * @email : octopus_yan@foxmail.com
 * @description :  http 常量定义
 * @create : 2022-4-1 22:06
 */
public class HttpConstant {

    public static class Method{
        public static final String GET = "GET";
        public static final String POST = "POST";
    }

    public static class ResultKey{
        public static final String DATA = "data";
        public static final String CODE = "code";
        public static final String MSG = "msg";
    }
}
