package top.octopusyan.http.annotation;

import java.lang.annotation.*;

/**
 * @author : octopus yan
 * @email : octopus_yan@foxmail.com
 * @description : 请求头注解（标记这个字段是一个请求头的参数）
 * @create : 2022-4-1 22:28
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface HttpHeader {}
