package top.octopusyan.http.annotation;

import java.lang.annotation.*;

/**
 * @author : octopus yan
 * @email : octopus_yan@foxmail.com
 * @description : 忽略注解（这个参数或者请求头将不会被发送到后台）
 * @create : 2022-4-1 22:27
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface HttpIgnore {}
