package top.octopusyan.http.api;

import top.octopusyan.http.config.BodyType;

/**
 * @author : octopus yan
 * @email : octopus_yan@foxmail.com
 * @description :  restful 带路由参数请求接口
 * @create : 2022-4-1 21:39
 */
public class PathParamApi<Result> extends RequestApi<Void, Result> {
    public PathParamApi(String method, String path) {
        super(method, path);
    }

    public PathParamApi(String api, String method, BodyType bodyType) {
        super(api, method, bodyType);
    }
}
