package top.octopusyan.manager.http.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author : octopus yan
 * @email : octopus_yan@foxmail.com
 * @description :
 * @create : 2022-4-5 10:08
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class ProxySetup {
    private Integer id;
    private Integer node;
    private String proxy_name;
    private String proxy_type;
    private String local_ip;
    private Integer local_port;
    private String remote_port;
    private String domain;
    private String http_user;
    private String http_pwd;
    private Boolean use_encryption;
    private Boolean use_compression;
    private String locations;
    private String host_header_rewrite;
    private String header_X_From_Where;
    private String sk;
    private Integer sort;
    // null:不是p2p, 空字符:提供者
    private String server_name;

    // 非保留数据
    /** 是否启用 */
    @EqualsAndHashCode.Exclude
    private Boolean status;
    @EqualsAndHashCode.Exclude
    private boolean runing;
}
